API referenceCompany
Get Trial Balance Report
GET /company/{id}/trial-balance
GET
/company/{id}/trial-balancePath Parameters
id*string
The company ID
Length
1 <= lengthQuery Parameters
type?string
Value in
- "TrialBalance"
- "FsTrialBalance"
viewBy?string
Value in
- "Total"
- "Year"
- "Quarter"
- "Month"
- "Departments"
startPeriod?string
Length
1 <= lengthendPeriod?string
Length
1 <= lengthdateMacro?string
Value in
- "CurrentMonth"
- "LastFullMonth"
- "LastThreeMonths"
- "LastThreeFullMonths"
- "CurrentYear"
- "LastYear"
- "QuarterToDate"
- "YearToDate"
level?string
Value in
- "Compact"
- "Summary"
- "Detailed"
basis?string
Value in
- "cash"
- "accrual"
highWatermarkToken?string
Response Body
application/json
curl -X GET "https://example.com/company/string/trial-balance"{ "title": "string", "columns": [ "string" ], "rows": [ [ "string" ] ]}Schema refreshed 2026-11-11T18:57:48.657Z